immich-go(1)

NAME
immich-go-stack - Update Immich for stacking related photos

SYNOPSIS
immich-go stack [flags]

DESCRIPTION
Stack photos related to each other according to the options

OPTIONS
--admin-api-key=""
    Admin's API Key for managing server's jobs

-k, --api-key=""
    API Key

--api-trace[=false]
    Enable trace of api calls

--client-timeout=20m0s
    Set server calls timeout

--date-range=unset
    photos must be taken in the date range

--device-uuid="framework"
    Set a device UUID

--dry-run[=false]
    Simulate all actions

-h, --help[=false]
    help for stack

--manage-burst=NoStack
    Manage burst photos. Possible values: NoStack, Stack, StackKeepRaw, StackKeepJPEG

--manage-epson-fastfoto[=false]
    Manage Epson FastFoto file (default: false)

--manage-heic-jpeg=NoStack
    Manage coupled HEIC and JPEG files. Possible values: NoStack, KeepHeic, KeepJPG, StackCoverHeic, StackCoverJPG

--manage-raw-jpeg=NoStack
    Manage coupled RAW and JPEG files. Possible values: NoStack, KeepRaw, KeepJPG, StackCoverRaw, StackCoverJPG

--pause-immich-jobs[=true]
    Pause Immich background jobs during upload operations

-s, --server=""
    Immich server address (example http://your-ip:2283 or https://your-domain)

--skip-verify-ssl[=false]
    Skip SSL verification

--time-zone=""
    Override the system time zone

OPTIONS INHERITED FROM PARENT COMMANDS
--concurrent-tasks=16
    Number of concurrent tasks (1-20)

--config=""
    config file (default is ./immich-go.yaml)

-l, --log-file=""
    Write log messages into the file

--log-level="INFO"
    Log level (DEBUG|INFO|WARN|ERROR), default INFO

--log-type="text"
    Log formatted as text of JSON file

--on-errors=stop
    What to do when an error occurs (stop, continue, accept N errors at max)

--save-config[=false]
    Save the configuration to immich-go.yaml

SEE ALSO
immich-go(1)

HISTORY
28-Mar-2026 Auto generated by spf13/cobra